<html>
    <head>
        <title>Ex2</title>
        <meta charset="utf-8">
    </head>
    <body>
        

        <label for="altura">Altura:</label>
        <input type="text" id="textA"> Sexo:
        <input type="radio" name="Genero" value="1" checked>Homem
        <input type="radio" name="Genero" value="2">Mulher
        <input type="button" value="Calcular" id="buttom" onclick="Calculate()"></p>
        <h2 id="result">Peso Ideal:</h2>

        
        <script>
        function Calculate(){
            var Gender = document.getElementsByName('Genero')
            var Altura = document.getElementById('textA').value;
            if(Altura>='a'){
                alert('Insira somente numeros no campo "Altura"')
            }else if(Altura<=0){
                alert('Insira um numero valido no campo "altura')
            }else if(Gender[0].checked){
                var tAltura = document.getElementById('textA')
                var vAltura = tAltura.value;
                var A = (72.7* vAltura)-58;
                document.getElementById('result').innerHTML= 'Peso Ideal: '+A+'Kg';
            }else if(Gender[1].checked){
                var tAltura = document.getElementById('textA');
                var vAltura = tAltura.value;
                var A = (62.1 * vAltura)-44.7; 
                document.getElementById('result').innerHTML= 'Peso Ideal: '+A+'Kg';

            } 
        }
        </script>
    </body>
</html>